Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  DrawingView links ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   DrawingView links ändern (306 mal gelesen)
Sylas
Mitglied



Sehen Sie sich das Profil von Sylas an!   Senden Sie eine Private Message an Sylas  Schreiben Sie einen Gästebucheintrag für Sylas

Beiträge: 215
Registriert: 19.11.2012

Dell Precision T3500
Intel Xeon W3550 @ 3,07 GHz
12 GB RAM
CATIA V5 R19

erstellt am: 03. Jul. 2018 14:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen!

Ich habe mir gewundert, ob das Machbar ist...
Ich habe mehrere Teile, welche mit Assembly aufgebaut sind (Rohteil als Body und weitere Bearbeitung als Assembly da drin).
Durch Detaillierung muss ich auch die noch nicht uberarbeitete Kante mallen. Zur Zeit machen wir das so, dass erstellen wir zweites Ansicht, dann positionieren wir es mit Superpose an "schon gearbeitetes Teil", dann kopieren wir die erste Geometrie mit Duplicate Geometry und einfugen ohne Link zum gearbeitetes Teil. Dann löschen wir das Rohteil Ansicht.

Ist das zu automatisieren möglisch?

Gruß

Lukas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10128
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 03. Jul. 2018 14:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Servus Lukas

Sollte möglich sein.
Ansicht kopieren und einfügen, Position der Ansichten bestimmen/abgleichen, Link der Ansicht umbiegen, Ansicht isolieren, Geometrie suchen und kopieren, ... alle diese Einzelschritte sind möglich.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sylas
Mitglied



Sehen Sie sich das Profil von Sylas an!   Senden Sie eine Private Message an Sylas  Schreiben Sie einen Gästebucheintrag für Sylas

Beiträge: 215
Registriert: 19.11.2012

Dell Precision T3500
Intel Xeon W3550 @ 3,07 GHz
12 GB RAM
CATIA V5 R19

erstellt am: 05. Jul. 2018 08:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von bgrittmann:
Servus Lukas

Sollte möglich sein.
Ansicht kopieren und einfügen, Position der Ansichten bestimmen/abgleichen, Link der Ansicht umbiegen, Ansicht isolieren, Geometrie suchen und kopieren, ... alle diese Einzelschritte sind möglich.

Gruß
Bernd


Alles was du hast geschrieben kann ich außer

Zitat:
Position der Ansichten bestimmen/abgleichen

wo kann ich der Methode finden? Unter DrawingView?

[Diese Nachricht wurde von Sylas am 05. Jul. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10128
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 05. Jul. 2018 19:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Servus

Wird beim kopieren und einfügen die Ansicht nicht an der gleichen Position eingefügt, was ein ausrichten überflüssig macht?
Hat eine DrawingView nicht Properties/Methoden X und Y?

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Randle
Mitglied
CAD/PLM Consultant


Sehen Sie sich das Profil von Randle an!   Senden Sie eine Private Message an Randle  Schreiben Sie einen Gästebucheintrag für Randle

Beiträge: 442
Registriert: 12.04.2003

Win7 Pro x64/Win10
CATIA V5 R18, R19, R21, R24, R26

erstellt am: 06. Jul. 2018 08:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Hallo,

so würde ich das auch machen (X und Y Werte der beiden Views synchronisieren). Es gibt einen Befehl im Kontextmenü der Ansicht (View Positioning/Superpose) mit denen man zwei Ansichten übereinander legen kann, fixiert aufeinander sind sie dann aber immer noch nicht. Allerdings scheint dieser Befehl nicht in der VBA API implementiert zu sein. D.h. das müsste man dann über CATIA.StartCommand lösen. Scheint mir zu viel Aufwand dafür das die Ansichten dann nicht fest miteinander verbunden sind.

Gruß
Randle

------------------
Wer für nichts steht, fällt für alles!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tomtom1972
Mitglied
dipl ing maschinenbau


Sehen Sie sich das Profil von tomtom1972 an!   Senden Sie eine Private Message an tomtom1972  Schreiben Sie einen Gästebucheintrag für tomtom1972

Beiträge: 594
Registriert: 22.03.2005

NVidia Quadro K4000
Intel Xeon 3,7GHz 32GB RAM
Windows7 64bit
R26 <= CATIA V5 > =R19

erstellt am: 11. Jul. 2018 08:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich


Fertigungsstruktur.gif

 
Moin,
ich hoffe mal das ich dein Problem richtig verstanden habe.
Ich würde die Zeichnungsableitung ganz anders machen, damit wird dann die Programmierung überflüssig.
Wenn du eine Body Struktur (mittels Boolscher Operationen) erstellst und darin so konstruierts, das in einem Body das Rohteil und in einem / mehreren anderen die Bearbeitung abgelegt ist, kannst du Zeicgnungsableitungen aus dem Part heraus von dem Body machen. Dann wird z.B. von dem body, in welchem das Rohteil abgelegt ist auch nur dieses (ohne Bearbeitung) dargestellt. Zeichnungsableitung vom Part zeigt alles. Dann musst du die Geometrie nicht duplizieren oder Ansichten kopieren. Und alles ist assoziativ.
Siehe Screenshot. Wenn unklar, melde dich.
Falls dir das irgendwie hilft.
(Das ist die Arbeitsweise in der Betriebsmittelkonstruktion der OEMs / Zulieferer der Automobilindustrie)

------------------
tomtom1972

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tomtom1972
Mitglied
dipl ing maschinenbau


Sehen Sie sich das Profil von tomtom1972 an!   Senden Sie eine Private Message an tomtom1972  Schreiben Sie einen Gästebucheintrag für tomtom1972

Beiträge: 594
Registriert: 22.03.2005

NVidia Quadro K4000
Intel Xeon 3,7GHz 32GB RAM
Windows7 64bit
R26 <= CATIA V5 > =R19

erstellt am: 11. Jul. 2018 09:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich


Fertigungsstruktur_2.gif

 
Hallo,
falls ich deine Frage falsch verstanden habe und du die Möglichkeit der Zeichnungsableitung aus der Bodystruktur herraus schon kennst hilft dir vieleicht der Hinweis eher weiter (siehe auch Bild im Anhang):
Über das "Modify Links" einer Ansicht kannst du zu Ableitung des Parts den Rohbody dazulegen (und diesen strichpunktiert darstellen).
Gruß

------------------
tomtom1972

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sylas
Mitglied



Sehen Sie sich das Profil von Sylas an!   Senden Sie eine Private Message an Sylas  Schreiben Sie einen Gästebucheintrag für Sylas

Beiträge: 215
Registriert: 19.11.2012

Dell Precision T3500
Intel Xeon W3550 @ 3,07 GHz
12 GB RAM
CATIA V5 R19

erstellt am: 11. Jul. 2018 09:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von tomtom1972:
Hallo,
falls ich deine Frage falsch verstanden habe und du die Möglichkeit der Zeichnungsableitung aus der Bodystruktur herraus schon kennst hilft dir vieleicht der Hinweis eher weiter (siehe auch Bild im Anhang):
Über das "Modify Links" einer Ansicht kannst du zu Ableitung des Parts den Rohbody dazulegen (und diesen strichpunktiert darstellen).
Gruß


Ja - die Funktion kenne ich. Ich bin schon bei

Code:

sbrView.GenerativeLinks.RemoveAllLinks
sbrView.GenerativeLinks.AddLink (oPartBody)
sbrView.GenerativeLinks.AddLink (oFunktionsteil)



aber alles was kriege ich ist eines isoliertes View  keine Links hinzugefügt
was habe ich falsch gemacht?

Gruß

Lukas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10128
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 11. Jul. 2018 09:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Servus Lukas

Hast du mal etwas mehr Code?
Sind die Klammern bei Addlink notwendig?
Kommt eine Fehlermeldung beim Ablauf des Makros? Hast du ggf die Fehlerbehandlung abgeschaltet?

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tomtom1972
Mitglied
dipl ing maschinenbau


Sehen Sie sich das Profil von tomtom1972 an!   Senden Sie eine Private Message an tomtom1972  Schreiben Sie einen Gästebucheintrag für tomtom1972

Beiträge: 594
Registriert: 22.03.2005

NVidia Quadro K4000
Intel Xeon 3,7GHz 32GB RAM
Windows7 64bit
R26 <= CATIA V5 > =R19

erstellt am: 11. Jul. 2018 09:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Hallo,
mach' mal zwischen dem Remove und dem Addlink ein Update der View rein.
Gruß

------------------
tomtom1972

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tomtom1972
Mitglied
dipl ing maschinenbau


Sehen Sie sich das Profil von tomtom1972 an!   Senden Sie eine Private Message an tomtom1972  Schreiben Sie einen Gästebucheintrag für tomtom1972

Beiträge: 594
Registriert: 22.03.2005

NVidia Quadro K4000
Intel Xeon 3,7GHz 32GB RAM
Windows7 64bit
R26 <= CATIA V5 > =R19

erstellt am: 11. Jul. 2018 10:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Bei mir funktioniert das, auch mit Update nur am Ende. Ich habe es gerade ausprobiert.
Die Ansicht ist nicht isoliert.
Dein Problem liegt demnach wo anders.
Wie Bernd schon schreibt wäre ein bischen Code hilfreich

------------------
tomtom1972

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sylas
Mitglied



Sehen Sie sich das Profil von Sylas an!   Senden Sie eine Private Message an Sylas  Schreiben Sie einen Gästebucheintrag für Sylas

Beiträge: 215
Registriert: 19.11.2012

Dell Precision T3500
Intel Xeon W3550 @ 3,07 GHz
12 GB RAM
CATIA V5 R19

erstellt am: 11. Jul. 2018 13:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von bgrittmann:
Servus Lukas

Hast du mal etwas mehr Code?
Sind die Klammern bei [i]Addlink
notwendig?
Kommt eine Fehlermeldung beim Ablauf des Makros? Hast du ggf die Fehlerbehandlung abgeschaltet?

Gruß
Bernd

[/i]


Hallo Bernd


Ich denke das wenn Mann ein View mit

Code:

sbrView.GenerativeLinks.RemoveAllLinks


isoliert, kann nix mit Ansicht mehr machen 
Ich habe schon ohne und mit Klemmen versucht - ohne Glück

Gruß

Lukas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tomtom1972
Mitglied
dipl ing maschinenbau


Sehen Sie sich das Profil von tomtom1972 an!   Senden Sie eine Private Message an tomtom1972  Schreiben Sie einen Gästebucheintrag für tomtom1972

Beiträge: 594
Registriert: 22.03.2005

NVidia Quadro K4000
Intel Xeon 3,7GHz 32GB RAM
Windows7 64bit
R26 <= CATIA V5 > =R19

erstellt am: 11. Jul. 2018 13:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Hallo,
mit und ohne Klammern ist egal.
Was du schreibst ist so aber nicht richtig.

Ich habe mit
....
oDrwVGLinks.RemoveAllLinks
oDrwVGLinks.AddLink (oBody)
oDrwVGLinks.AddLink (oPart)
oDrwVGLinks.Update
....
erst alle Links einer Ansicht rausgelöscht und dann wieder den Body + das Part drauf verlinkt.
Das geht ohne Probleme. Da ist nix isoliert.
Der Fehler muss wo anders liegen.
Ohne Beispielcode ist das allerdings eher eine Rateveranstaltung.

Gruß ToTom

------------------
tomtom1972

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sylas
Mitglied



Sehen Sie sich das Profil von Sylas an!   Senden Sie eine Private Message an Sylas  Schreiben Sie einen Gästebucheintrag für Sylas

Beiträge: 215
Registriert: 19.11.2012

Dell Precision T3500
Intel Xeon W3550 @ 3,07 GHz
12 GB RAM
CATIA V5 R19

erstellt am: 12. Jul. 2018 08:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von tomtom1972:
Hallo,
mit und ohne Klammern ist egal.
Was du schreibst ist so aber nicht richtig.

Ich habe mit
....
oDrwVGLinks.RemoveAllLinks
oDrwVGLinks.AddLink (oBody)
oDrwVGLinks.AddLink (oPart)
oDrwVGLinks.Update
....
erst alle Links einer Ansicht rausgelöscht und dann wieder den Body + das Part drauf verlinkt.
Das geht ohne Probleme. Da ist nix isoliert.
Der Fehler muss wo anders liegen.
Ohne Beispielcode ist das allerdings eher eine Rateveranstaltung.

Gruß ToTom



Hallo Leute

Ich bin zuruck mit nachsten Fragen ;)
Ich bin bei

Code:

Sub CATMain()
Dim oview As DrawingView
Dim oDwg As DrawingDocument
'Wybor widoku
Dim oSel As Selection
Set oSel = CATIA.ActiveDocument.Selection
Set oDwg = CATIA.ActiveDocument
Set dSel = oSel
Dim oFT_View As DrawingView
Dim oFT_body As Body
Dim InputObjectType(0)
InputObjectType(0) = "DrawingView"
sel = dSel.SelectElement3(InputObjectType, "Wybierz widoki, na ktorych pojawic ma sie Funktionsteil", True, CATMultiSelTriggWhenUserValidatesSelection, False)

For i = 1 To oSel.Count
    Set oview = oSel.Item(i).Value
    oDwg.DrawingRoot.ActiveSheet.Views.Add "Funktionsteil"
    Set oFT_View = oDwg.DrawingRoot.ActiveSheet.Views.Item("Funktionsteil")
    Set oFT_body = oview.GenerativeBehavior.Document.Parent.Part.Bodies.Item("Funktionsteil")
    oFT_View.GenerativeLinks.AddLink oFT_body
'hier superpose, Geometrie vom oFT_View dupliziren, copy und paste zu oview

Next
End Sub



und weiß nicht wie kann ich jetzt neues Ansicht genau an andere liegen 
es gibt kein superpose Methode....
vielleicht geht es so, das ich oFT_View.X und .Y mit oview.X und .Y anpasse? Wie dinks du?

Gruß
Lukas

EDIT: Das klappt! Aber...

Orange Ansicht ist meines Funktionsteil... wie kann ich die Drehwinkel von dem Ursprungansicht übernehmen?

[Diese Nachricht wurde von Sylas am 12. Jul. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10128
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 12. Jul. 2018 18:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Servus

Bei Views.Add müsstest du wohl die Ausrichtung der Ansichtsebene definieren (siehe Doku zB DefineFrontView und SetProjectionPlane  bzw GetProjectionPlane).
Oder die zuvor selektierte Ansicht kopieren und einfügen (dann passt die Ausrichtung) und danach den Link umbiegen.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz